<?php
require'../config.php';
$align='left';
$title='Вопросы,шутки,анекдоты';
head();
aut();
levels(9);
who_add(0,'enter');
/*
17.12.2012
*/
switch($mod){
default:
echo '&#187; <a href="text?mod=frazi">Список фраз</a><br/>';
echo '&#187; <a href="text?mod=shutki">Список шуток</a><br/>';
echo '&#187; <a href="text?mod=anekdot">Список анекдотов</a><br/>';
echo '&#187; <a href="text?mod=botg">Список загадок</a><br/>';
echo '&#187; <a href="text?mod=question">Вопросы викторины</a><br/>';
break;

//Список фраз
case 'frazi':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `frazi` WHERE `ids` = '".check(intval($_GET['dell']))."'");
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Фраза успешно удалена!</b><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
echo '<a href="text?mod='.$mod.'&amp;act=add"><b>Добавить фразу</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `frazi` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список фраз<br/>';
echo "<dl><dt></dt></dl>";
$r = $db->sql_query ("SELECT * FROM `frazi` ORDER BY `ids` DESC LIMIT $start, $max");
if ($k_post == 0)echo ' нет ниче<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<b>Фраза:</b>'.$a['message'].'<br/>[<a href="text?mod='.$mod.'&amp;dell='.$a[ids].'">DEL</a>] [
<a href="text?mod='.$mod.'&amp;act=edit&amp;id='.$a[ids].'">EDIT</a>]<br/>';
echo "<dl><dt></dt></dl>";
}
if ($k_page>1){
str('text?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}
}else if($act=='add'){
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Фраза:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Фраза:<br /><input name="message'.$ref.'" title="Фраза"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="message" value="$message"/></go></anchor><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act=='addi'){
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Фраза слишком коротка!<br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query ("INSERT INTO frazi (message) VALUES ('$message')")){
header ('Location: text?mod='.$mod.'&'.SID); 
echo '<b>Фраза успешно добавлена!</b><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}else if($act=='edit'){
$id = check(intval($_GET['id']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from frazi where ids = '".$id."'"));
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Фраза:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" >'.text($a[message],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Фраза:<br /><input name="message'.$ref.'" value="'.text($a[message],false,true,false,false,false).'" title="Анекдот"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="message" value="$message'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$id = check(intval($_GET['id']));
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Фраза слишком коротка!<br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query("UPDATE `frazi` SET `message` = '$message' WHERE `ids` = '".$id."'")){
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Фраза успешно изменена!</b><br/>';
echo gb.'<a href="text?mod=frazi">Список фраз</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}
break;

//Список шуток
case 'shutki':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `shutki` WHERE `ids` = '".check(intval($_GET['dell']))."'");
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Шутка успешно удалена!</b><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
echo '<a href="text?mod='.$mod.'&amp;act=add"><b>Добавить Шутку</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `shutki` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список шуток<br/>';
echo "<dl><dt></dt></dl>";
$r = $db->sql_query ("SELECT * FROM `shutki` ORDER BY `ids` DESC LIMIT $start, $max");
if ($k_post == 0)echo ' нет ниче<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<b>Шутка:</b>'.$a['message'].'<br/>[<a href="text?mod='.$mod.'&amp;dell='.$a[ids].'">DEL</a>] [
<a href="text?mod='.$mod.'&amp;act=edit&amp;id='.$a[ids].'">EDIT</a>]<br/>';
echo "<dl><dt></dt></dl>";
}
if ($k_page>1){
str('text?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}
}else if($act=='add'){
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Шутка:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Шутка:<br /><input name="message'.$ref.'" title="Шутка"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="message" value="$message"/></go></anchor><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act=='addi'){
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Шутка слишком коротка!<br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query ("INSERT INTO shutki (message) VALUES ('$message')")){
header ('Location: text?mod='.$mod.'&'.SID); 
echo '<b>Шутка успешно добавлена!</b><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}else if($act=='edit'){
$id = check(intval($_GET['id']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from shutki where ids = '".$id."'"));
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Шутка:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" >'.text($a[message],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Шутка:<br /><input name="message'.$ref.'" value="'.text($a[message],false,true,false,false,false).'" title="Анекдот"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="message" value="$message'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$id = check(intval($_GET['id']));
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Шутка слишком коротка!<br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query("UPDATE `shutki` SET `message` = '$message' WHERE `ids` = '".$id."'")){
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Шутка успешно изменена!</b><br/>';
echo gb.'<a href="text?mod=shutki">Список шуток</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}
break;

//Список анекдотов
case 'anekdot':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `anekdot` WHERE `ids` = '".check(intval($_GET['dell']))."'");
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Анекдот успешно удален!</b><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
echo '<a href="text?mod='.$mod.'&amp;act=add"><b>Добавить анекдот</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `anekdot` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список анекдотов<br/>';
echo "<dl><dt></dt></dl>";
$r = $db->sql_query ("SELECT * FROM `anekdot` ORDER BY `ids` DESC LIMIT $start, $max");
if ($k_post == 0)echo ' нет ниче<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<b>Анекдот:</b>'.$a['message'].'<br/>[<a href="text?mod='.$mod.'&amp;dell='.$a[ids].'">DEL</a>] [
<a href="text?mod='.$mod.'&amp;act=edit&amp;id='.$a[ids].'">EDIT</a>]<br/>';
echo "<dl><dt></dt></dl>";
}
if ($k_page>1){
str('text?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}
}else if($act=='add'){
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Анекдот:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Анекдот:<br /><input name="message'.$ref.'" title="Анекдот"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="message" value="$message"/></go></anchor><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act=='addi'){
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Анекдот слишком короткий!<br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query ("INSERT INTO anekdot (message) VALUES ('$message')")){
header ('Location: text?mod='.$mod.'&'.SID); 
echo '<b>Анекдот успешно добавлен!</b><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}else if($act=='edit'){
$id = check(intval($_GET['id']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from anekdot where ids = '".$id."'"));
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Анекдот:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="message" >'.text($a[message],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Анекдот:<br /><input name="message'.$ref.'" value="'.text($a[message],false,true,false,false,false).'" title="Анекдот"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;id='.$id.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="message" value="$message'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$id = check(intval($_GET['id']));
$message = check($_POST['message']);
if (strlen2($message)<10){echo 'Анекдот слишком короткий!<br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$message = translit($message);
if ($db->sql_query("UPDATE `anekdot` SET `message` = '$message' WHERE `ids` = '".$id."'")){
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Анекдот успешно изменен!</b><br/>';
echo gb.'<a href="text?mod=anekdot">Список анекдотов</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}
break;

//Загадки
case 'botg':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `botg` WHERE `number` = '".check(intval($_GET['dell']))."'");
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Загадка успешно удалена!</b><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
echo '<a href="text?mod='.$mod.'&amp;act=add"><b>Добавить загадку</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `botg` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список загадок<br/>';
echo "<dl><dt></dt></dl>";
$r = $db->sql_query ("SELECT * FROM `botg` ORDER BY `number` DESC LIMIT $start, $max");
if ($k_post == 0)echo ' нет ниче<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<b>Загадка:</b>'.$a['vopros'].'<br/>';
echo '<b>Ответ:</b> '.$a['answer'].' <br/>[<a href="text?mod='.$mod.'&amp;dell='.$a[number].'">DEL</a>] [
<a href="text?mod='.$mod.'&amp;act=edit&amp;iden='.$a[number].'">EDIT</a>]<br/>';
echo "<dl><dt></dt></dl>";
}
if ($k_page>1){
str('text?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Загадка:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="vopros" ></textarea><br/>';
echo'Ответ:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="answer" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
echo gb.'<a href="text?mod=botg">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Загадка:<br /><input name="vopros'.$ref.'" title="Загадка"/><br/>';
echo 'Ответ:<br /><input name="answer'.$ref.'" title="Ответ"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="vopros" value="$vopros"/></go></anchor><br/>';
echo '<postfield name="answer" value="$answer'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act=='addi'){
$vopros = check($_POST['vopros']);
$answer = check($_POST['answer']);
if (strlen2($vopros)<10){echo 'Загадка слишком коротка!<br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if (strlen2($vopros)<3){echo 'Ответ слишком короткий!<br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$vopros = translit($vopros);
if ($user['translit']==1)$answer = translit($answer);
if ($db->sql_query ("INSERT INTO botg (vopros,answer) VALUES ('$vopros','$answer')")){
header ('Location: text?mod='.$mod.'&'.SID); 
echo '<b>Вопрос успешно добавлен!</b><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';

}else if($act=='edit'){
$iden = check(intval($_GET['iden']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from botg where number = '".$iden."'"));
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;iden='.$iden.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Вопрос:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="vopros" >'.text($a[vopros],false,true,false,false,false).'</textarea><br/>';
echo'Ответ:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="answer" >'.text($a[answer],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Загадка:<br /><input name="vopros'.$ref.'" value="'.text($a[vopros],false,true,false,false,false).'" title="вопрос"/><br/>';
echo 'Ответ:<br /><input name="answer'.$ref.'" value="'.text($a[answer],false,true,false,false,false).'" title="Ответ"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;iden='.$iden.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="vopros" value="$vopros'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="answer" value="$answer'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$iden = check(intval($_GET['iden']));
$vopros = check($_POST['vopros']);
$answer = check($_POST['answer']);
if (strlen2($vopros)<10){echo 'Загадка слишком коротка!<br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if (strlen2($vopros)<3){echo 'Ответ слишком короткий!<br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$vopros = translit($vopros);
if ($user['translit']==1)$answer = translit($answer);
if ($db->sql_query("UPDATE `botg` SET `vopros` = '$vopros',`answer` = '$answer' WHERE `number` = '".$iden."'")){
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Загадка успешно изменена!</b><br/>';
echo gb.'<a href="text?mod=botg">Список загадок</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}
break;


//Вопросы викторины
case 'question':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `question` WHERE `number` = '".check(intval($_GET['dell']))."'");
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Вопрос успешно удален!</b><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
echo '<a href="text?mod='.$mod.'&amp;act=add"><b>Добавить вопрос</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT count(*) as num FROM `question` "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if ($k_post != 0) echo 'Список вопросов викторины<br/>';
echo "<dl><dt></dt></dl>";
$r = $db->sql_query ("SELECT * FROM `question` ORDER BY `number` DESC LIMIT $start, $max");
if ($k_post == 0)echo ' нет ниче<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<b>Вопрос:</b>'.$a['vopros'].'<br/>';
echo '<b>Ответ:</b> '.$a['answer'].' <br/>[<a href="text?mod='.$mod.'&amp;dell='.$a[number].'">DEL</a>] [
<a href="text?mod='.$mod.'&amp;act=edit&amp;iden='.$a[number].'">EDIT</a>]<br/>';
echo "<dl><dt></dt></dl>";
}
if ($k_page>1){
str('text?mod='.$mod.'&amp;',$k_page,$page);
echo "<br/><dl><dt></dt></dl><br/>";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Вопрос:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="vopros" ></textarea><br/>';
echo'Ответ:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="answer" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Вопрос:<br /><input name="vopros'.$ref.'" title="Вопрос"/><br/>';
echo 'Ответ:<br /><input name="answer'.$ref.'" title="Ответ"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="vopros" value="$vopros"/></go></anchor><br/>';
echo '<postfield name="answer" value="$answer'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act=='addi'){
$vopros = check($_POST['vopros']);
$answer = check($_POST['answer']);
if (strlen2($vopros)<10){echo 'Вопрос слишком короткий!<br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if (strlen2($vopros)<3){echo 'Ответ слишком короткий!<br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$vopros = translit($vopros);
if ($user['translit']==1)$answer = translit($answer);
if ($db->sql_query ("INSERT INTO question (vopros,answer) VALUES ('$vopros','$answer')")){
header ('Location: text?mod='.$mod.'&'.SID); 
echo '<b>Вопрос успешно добавлен!</b><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';

}else if($act=='edit'){
$iden = check(intval($_GET['iden']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from question where number = '".$iden."'"));
if ($ver!='wml'){echo '<form action="text?mod='.$mod.'&amp;iden='.$iden.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Вопрос:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="vopros" >'.text($a[vopros],false,true,false,false,false).'</textarea><br/>';
echo'Ответ:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="answer" >'.text($a[answer],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Вопрос:<br /><input name="vopros'.$ref.'" value="'.text($a[vopros],false,true,false,false,false).'" title="вопрос"/><br/>';
echo 'Ответ:<br /><input name="answer'.$ref.'" value="'.text($a[answer],false,true,false,false,false).'" title="Ответ"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;iden='.$iden.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="vopros" value="$vopros'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="answer" value="$answer'.$ref.'"/></go></anchor><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$iden = check(intval($_GET['iden']));
$vopros = check($_POST['vopros']);
$answer = check($_POST['answer']);
if (strlen2($vopros)<10){echo 'Вопрос слишком короткий!<br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if (strlen2($vopros)<3){echo 'Ответ слишком короткий!<br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if ($user['translit']==1)$vopros = translit($vopros);
if ($user['translit']==1)$answer = translit($answer);
if ($db->sql_query("UPDATE `question` SET `vopros` = '$vopros',`answer` = '$answer' WHERE `number` = '".$iden."'")){
header ('Location: ?mod='.$mod.'&'.SID);
echo '<b>Вопрос успешно изменен!</b><br/>';
echo gb.'<a href="text?mod=question">Вопросы викторины</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo 'Ошибка!<br/>';
}
break;

}
echo '<br/>';
echo gb.'<a href="index">Админка</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
echo gb.'<a href="text">Вопросы,Шутки,Анекдоты</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>